> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/support.md).

# Support

## GET /support

> List all diagnostic files

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/support":{"get":{"operationId":"findAll_6","responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SupportModel"}}}},"description":"default response"}},"summary":"List all diagnostic files","tags":["support"]}}},"components":{"schemas":{"SupportModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"environmentId":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"size":{"type":"integer","format":"int64"},"state":{"type":"string","enum":["IN_PROGRESS","DONE"]},"supportSpecification":{"$ref":"#/components/schemas/SupportSpecificationModel"}}},"SupportSpecificationModel":{"type":"object","properties":{"name":{"type":"string"},"supportOptions":{"type":"array","items":{"type":"string","enum":["CONSOLE","DGC","REPOSITORY","JOBSERVER","NODE","BENCHMARKS","SEARCH"]},"uniqueItems":true}}}}}}
```

## POST /support/{environmentId}/zip

> Create a diagnostic file for a specified environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/support/{environmentId}/zip":{"post":{"operationId":"createSupportFile","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportSpecificationModel"}}},"description":"The model to describe what to include in the diagnostic file"},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportModel"}}},"description":"successful operation"}},"summary":"Create a diagnostic file for a specified environment","tags":["support"]}}},"components":{"schemas":{"SupportSpecificationModel":{"type":"object","properties":{"name":{"type":"string"},"supportOptions":{"type":"array","items":{"type":"string","enum":["CONSOLE","DGC","REPOSITORY","JOBSERVER","NODE","BENCHMARKS","SEARCH"]},"uniqueItems":true}}},"SupportModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"environmentId":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"size":{"type":"integer","format":"int64"},"state":{"type":"string","enum":["IN_PROGRESS","DONE"]},"supportSpecification":{"$ref":"#/components/schemas/SupportSpecificationModel"}}}}}}
```

## GET /support/{id}

> Download a diagnostic file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/support/{id}":{"get":{"operationId":"getFile_4","parameters":[{"description":"The ID of the target diagnostic file","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"}},"summary":"Download a diagnostic file","tags":["support"]}}}}
```

## DELETE /support/{id}

> Delete a diagnostic file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/support/{id}":{"delete":{"operationId":"deleteSupportFile","parameters":[{"description":"The ID of the target diagnostic file","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"*/*":{}},"description":"default response"}},"summary":"Delete a diagnostic file","tags":["support"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
